DataInputController Methods |
The DataInputController type exposes the following members.
| Name | Description | |
|---|---|---|
| AddDataStorageColumn | POST /DataInput/DataStorageColumn/
Adds the specified data storage column.
| |
| CreateContextualMeasureValue | POST /DataInput/ContextualMeasureValue/
Creates a contextual measure value for the specified metric set.
| |
| CreateMeasureCorrectionValue | POST /DataInput/MeasureCorrectionValue/
Creates a measure correction value for the specified metric set.
| |
| DeleteContextualMeasureValue | DELETE /DataInput/ContextualMeasureValue/
Deletes a contextual measure value, or all values.
| |
| DeleteMeasureCorrectionValue | DELETE /DataInput/MeasureCorrectionValue/{id}
Deletes a measure correction value.
| |
| DeleteStorageRecord | DELETE /DataInput/DataStorageRecord/{id}
Deletes a data storage record.
| |
| DeleteStorageRecords | POST /DataInput/DeleteDataStorageRecords/
Deletes data storage records.
| |
| EnsureCallerContext |
If the current context is not already the specified context, creates a new caller context which is
a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.) | |
| EnsureFormFileMultipartContent |
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.) | |
| GetClientIdFromCookieOrProvided |
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetContextualMeasureValue | GET /DataInput/ContextualMeasureValue/{id}
Gets a contextual measure value by ID.
| |
| GetDataInputTransforms | GET /DataInput/Transforms/
Gets the data input transforms for a given metric set or data cube.
| |
| GetMeasureCorrectionValue | GET /DataInput/MeasureCorrectionValue/{id}
Gets a measure correction value by ID.
| |
| GetServiceT |
Gets the requested service.
(Inherited from ApiControllerBase.) | |
| GetSessionIdFromCookieHeaderOrProvided |
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| InsertDataStorageRecord | POST /DataInput/DataStorageRecord/
Inserts a data storage record.
| |
| InsertDataStorageRecords | POST /DataInput/DataStorageRecords/
Inserts multiple data storage records.
| |
| LoadSession |
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.) | |
| ModifyContextualMeasureValue | PUT /DataInput/ContextualMeasureValue/{id}
Modifies a contextual measure value by ID.
| |
| ModifyMeasureCorrectionValue | PUT /DataInput/MeasureCorrectionValue/{id}
Modifies a measure correction value by ID.
| |
| QueryContextualMeasureValues | POST /DataInput/ContextualMeasureValueQuery/
Queries for contextual measure values.
| |
| QueryMeasureCorrectionValues | POST /DataInput/MeasureCorrectionValueQuery/
Queries for measure correction values.
| |
| RemoveDataStorageColumn | DELETE /DataInput/DataStorageColumn/
Removes the specified data storage column.
| |
| RequestFirstFormFile |
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.) | |
| RequestFormFiles |
Retrieves the form files from the request.
(Inherited from ApiControllerBase.) | |
| ReturnInvalidWindowsIdentityResponse |
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.) | |
| UpdateDataStorageColumn | PUT /DataInput/DataStorageColumn/
Renames the data storage column.
| |
| UpdateDataStorageRecord | PUT /DataInput/DataStorageRecord/{id}
Updates a data storage record.
| |
| UpdateDataStorageRecords | PUT /DataInput/DataStorageRecords/
Updates a data storage records.
|